# std::experimental::basic_string_view::end, std::experimental::basic_string_view::cend

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr const_iterator end() const; |  | (library fundamentals TS)
constexpr const_iterator cend() const; |  | (library fundamentals TS)

Returns an iterator to the character following the last character of the view. This character acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

`const_iterator` to the character following the last character.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

begin cbegin | returns an iterator to the beginning (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/end&oldid=91501"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template